﻿using System;
class StringDemo{
   static void Main(){
      // Символьный массив:
      char[] symbs={'Я','з','ы','к',' ','C','#'};
      Console.WriteLine("Символьный массив:");
      // Отображение содержимого символьного массива:
      Console.WriteLine(symbs);
      // Текстовый объект создается
      // на основе символьного массива:
      String A=new String(symbs);
      // Проверка значения текстового объекта:
      Console.WriteLine("A: \"{0}\"",A);
      // Текстовый объект создается на основе
      // нескольких элементов из символьного массива:
      String B=new String(symbs,1,5);
      // Проверка значения текстового объекта:
      Console.WriteLine("B: \"{0}\"",B);
      // Текстовый объект создается как
      // последовательность одинаковых символов:
      String C=new String('ы',7);
      // Проверка значения текстового объекта:
      Console.WriteLine("C: \"{0}\"",C);
      // Создание текстового объекта путем вызова
      // статического метода с двумя символьными
      // аргументами:
      A=getText('A','H');
      // Проверка значения текстового объекта:
      Console.WriteLine("A: \"{0}\"",A);
      // Создание текстового объекта путем вызова
      // статического метода с двумя символьными
      // аргументами:
      B=getText('H','A');
      // Проверка значения текстового объекта:
      Console.WriteLine("B: \"{0}\"",B);
      // Создание текстового объекта путем вызова
      // статического метода с аргументом - символьным
      // массивом:
      C=getText(symbs);
      // Проверка значения текстового объекта:
      Console.WriteLine("C: \"{0}\"",C);
   }
   // Статический метод для создания текстового объекта
   // на основе символьного массива:
   static String getText(char[] symbs){
      // Локальная текстовая переменная:
      String txt="";
      // Перебор элементов в массиве:
      for(int k=0;k<symbs.Length;k++){
         // Дописывание символа к текстовой строке:
         txt+=symbs[k];
      }
      // Результат метода:
      return txt;
   }
   // Статический метод для создания текстового объекта
   // на основе двух символьных значений:
   static String getText(char a,char b){
      // Локальная текстовая переменная:
      String txt="";
      // Локальная символьная переменная:
      char s=a;
      // Формирование текстовой строки:
      while(s<=b){
         // Дописывание символа к текстовой строке:
         txt+=s;
         // Следующий символ для строки:
         s++;
      }
      // Результат метода:
      return txt;
   }
}