﻿using System;
// Класс с перегрузкой операторов:
class MyClass{
   // Символьное поле:
   public char symb;
   // Конструктор с одним аргументом:
   public MyClass(char s){
      symb=s;   // Значение поля
   }
   // Перегрузка оператора true:
   public static bool operator true(MyClass obj){
      switch(obj.symb){
         case 'A':
         case 'E':
         case 'I':
         case 'O':
         case 'U':
         case 'Y':
            return true;
         default:
            return false;
      }
   }
   // Перегрузка оператора false:
   public static bool operator false(MyClass obj){
      if(obj) return obj.symb=='Y';
      else return true;
   }
   // Перегрузка оператора &:
   public static MyClass operator&(MyClass a,MyClass b){
      if(a) return b;
      else return a;
   }
   // Перегрузка оператора |:
   public static MyClass operator|(MyClass a,MyClass b){
      if(a) return a;
      else return b;
   }
}
// Класс с главным методом:
class OverloadingLogOpsDemo{
   // Главный метод:
   static void Main(){
      // Создание объектов:
      MyClass A=new MyClass('A');
      MyClass B=new MyClass('B');
      MyClass E=new MyClass('E');
      MyClass Y=new MyClass('Y');
      // Использование логических операторов:
      Console.WriteLine("Выражение A&&B: {0}",(A&&B).symb);
      Console.WriteLine("Выражение B&&A: {0}",(B&&A).symb);
      Console.WriteLine("Выражение A&&E: {0}",(A&&E).symb);
      Console.WriteLine("Выражение E&&A: {0}",(E&&A).symb);
      Console.WriteLine("Выражение A&&Y: {0}",(A&&Y).symb);
      Console.WriteLine("Выражение Y&&A: {0}",(Y&&A).symb);
      Console.WriteLine("Выражение A||B: {0}",(A||B).symb);
      Console.WriteLine("Выражение B||A: {0}",(B||A).symb);
      Console.WriteLine("Выражение A||E: {0}",(A||E).symb);
      Console.WriteLine("Выражение E||A: {0}",(E||A).symb);
      Console.WriteLine("Выражение A||Y: {0}",(A||Y).symb);
      Console.WriteLine("Выражение Y||A: {0}",(Y||A).symb);
   }
}