﻿using System;
// Базовый класс:
class Alpha{
   // Целочисленное поле:
   public int alpha;
   // Метод без аргументов:
   public void set(){
      // Значение поля:
      alpha=10;
      // Отображение значения поля:
      Console.WriteLine("Alpha (без аргументов): {0}",alpha);
   }
   // Метод (виртуальный) с одним аргументом:
   public virtual void set(int n){
      // Значение поля:
      alpha=n;
      // Отображение значения поля:
      Console.WriteLine("Alpha (один аргумент):  {0}",alpha);
   }
}
// Производный класс:
class Bravo:Alpha{
   // Целочисленное поле:
   public int bravo;
   // Переопределение виртуального метода:
   public override void set(int n){
      // Присваивание значений полям:
      alpha=n;
      bravo=alpha;
      // Отображение значений полей:
      Console.WriteLine("Bravo (один аргумент):  {0} и {1}",alpha,bravo);
   }
   // Метод с двумя аргументами:
   public void set(int m,int n){
      // Присваивание значений полям:
      alpha=m;
      bravo=n;
      // Отображение значений полей:
      Console.WriteLine("Bravo (два аргумента):  {0} и {1}",alpha,bravo);
   }
}
// Класс с главным методом:
class OverloadAndOverrideDemo{
   // Главный метод:
   static void Main(){
      // Создание объекта базового класса:
      Alpha A=new Alpha();
      // Вызов методов:
      A.set();
      A.set(20);
      Console.WriteLine();
      // Создание объекта производного класса:
      Bravo B=new Bravo();
      // Вызов методов:
      B.set();
      B.set(30);
      B.set(40,50);
   }
}