﻿using System;
// Класс с конструктором и деструктором:
class MyClass{
   // Закрытое текстовое поле:
   private string name;
   // Конструктор:
   public MyClass(string txt){
      // Присваивание значения полю:
      name=txt;
      // Отображение сообщения:
      Console.WriteLine("Создан объект \"{0}\"",name);
   }
   // Деструктор:
   ~MyClass(){
      // Отображение сообщения:
      Console.WriteLine("Удален объект \"{0}\"",name);
   }
}
// Класс с главным методом:
class DestructorDemo{
   // Статический метод:
   static void maker(string txt){
      // Создание анонимного объекта:
      new MyClass(txt);
   }
   // Главный метод:
   static void Main(){
      // Создание объекта:
      MyClass A=new MyClass("Первый");
      // Создание анонимного объекта:
      new MyClass("Второй");
      // Новый объект:
      A=new MyClass("Третий");
      // Вызов статического метода:
      maker("Четвертый");
      // Новый объект:
      A=new MyClass("Пятый");
   }
}