﻿using System;
// Класс без перегрузки операторов сравнения:
class Alpha{
   // Целочисленное поле:
   public int code;
   // Конструктор с одним аргументом:
   public Alpha(int n){
      // Присваивание значения полю:
      code=n;
   }
}
// Класс с перегрузкой операторов сравнения:
class Bravo{
   // Целочисленное поле:
   public int code;
   // Конструктор с одним аргументом:
   public Bravo(int n){
      // Присваивание значения полю:
      code=n;
   }
   // Перегрузка оператора "равно":
   public static bool operator==(Bravo a,Bravo b){
      return a.code==b.code;
   }
   // Перегрузка оператора "не равно":
   public static bool operator!=(Bravo a,Bravo b){
      return !(a==b);
   }
}
// Класс с главным методом:
class OverloadingEqvOperatorDemo{
   // Главный метод:
   static void Main(){
      // Создание объектов класса Alpha:
      Alpha A1=new Alpha(100);
      Alpha A2=new Alpha(100);
      Alpha A3=new Alpha(200);
      // Проверка объектов на предмет
      // равенства или неравенства:
      Console.WriteLine("A1==A2 дает {0}",A1==A2);
      Console.WriteLine("A1!=A2 дает {0}",A1!=A2);
      Console.WriteLine("A1==A3 дает {0}",A1==A3);
      Console.WriteLine("A1!=A3 дает {0}",A1!=A3);
      // Создание объектов класса Bravo:
      Bravo B1=new Bravo(100);
      Bravo B2=new Bravo(100);
      Bravo B3=new Bravo(200);
      // Проверка объектов на предмет
      // равенства или неравенства:
      Console.WriteLine("B1==B2 дает {0}",B1==B2);
      Console.WriteLine("B1!=B2 дает {0}",B1!=B2);
      Console.WriteLine("B1==B3 дает {0}",B1==B3);
      Console.WriteLine("B1!=B3 дает {0}",B1!=B3);
   }
}