﻿using System;
// Класс с перегрузкой операторов:
class MyClass{
   // Целочисленное поле:
   public int code;
   // Конструктор с одним аргументом:
   public MyClass(int n){
      code=n;   // Присваивание значения полю
   }
   // Операторный метод для сложения объектов:
   public static MyClass operator+(MyClass a,MyClass b){
      return new MyClass(a.code+b.code);
   }
   // Операторный метод для умножения объектов:
   public static int operator*(MyClass a,MyClass b){
      return a.code*b.code;
   }
   // Операторный метод для неявного приведения типа
   // (из типа int к типу MyClass):
   public static implicit operator MyClass(int n){
      return new MyClass(n);
   }
}
// Класс с главным методом:
class OverloadingAndAssigningDemo{
   static void Main(){
      // Создание объекта:
      MyClass A=new MyClass(7);
      // Проверка результата:
      Console.WriteLine("Объект А: {0}",A.code);
      // Создание объекта:
      MyClass B=new MyClass(8);
      // Проверка результата:
      Console.WriteLine("Объект B: {0}",B.code);
      // Вычисление суммы объектов с использованием
      // сокращенной формы оператора присваивания:
      A+=B;
      // Проверка результата:
      Console.WriteLine("Объект А: {0}",A.code);
      // Вычисление произведения объектов с использованием
      // сокращенной формы оператора присваивания:
      A*=B;
      // Проверка результата:
      Console.WriteLine("Объект А: {0}",A.code);
   }
}